org.eclipse.rdf4j.spin

## Class ConstraintViolationRDFHandler

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler
  - - org.eclipse.rdf4j.rio.helpers.RDFHandlerBase
    - - org.eclipse.rdf4j.spin.ConstraintViolationRDFHandler

- All Implemented Interfaces:
    RDFHandler

      public class ConstraintViolationRDFHandler
      extends RDFHandlerBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintViolationRDFHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endRDF()` Signals the end of the RDF data.
    `ConstraintViolation` | `getConstraintViolation()`
    `void` | `handleStatement(Statement st)` Handles a statement.
    `void` | `startRDF()` Signals the start of the RDF data.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler

      `handleComment, handleNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintViolationRDFHandler

          public ConstraintViolationRDFHandler()

  - ### Method Detail

    - #### getConstraintViolation

          public ConstraintViolation getConstraintViolation()

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Overrides:
        `startRDF` in class `AbstractRDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleStatement

          public void handleStatement(Statement st)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Overrides:
        `handleStatement` in class `AbstractRDFHandler`
      Parameters:
        `st` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Overrides:
        `endRDF` in class `AbstractRDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.